﻿<%@ Assembly Name="WebDemo, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2c9f80461f7fa154" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="plugindemo.aspx.cs" Inherits="WebDemo.Layouts.WebDemo.plugindemo" DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">

    <script src="spscansdk.js"></script>

    <script type="text/javascript">
        
        var spListobj;

        function scanclick() {

            // Make sure the SharePoint script file 'sp.js' is loaded before function initprocess() runs.
            SP.SOD.executeFunc('sp.js', 'SP.ClientContext', initprocess);
        }

        function initprocess() {
            // Get libray ID

            // Prepare query
            var libTitle = document.getElementById("tbTitle").value;
            var clientContext = new SP.ClientContext.get_current();
            var spWebobj = clientContext.get_web();
            spListobj = spWebobj.get_lists().getByTitle(libTitle);
            clientContext.load(spListobj, "Id");


            //execute query
            clientContext.executeQueryAsync(Function.createDelegate(this, listQuerySuccess), Function.createDelegate(this, listQueryFailed));

        }


        // query result received successfully
        function listQuerySuccess() {
            var listID = spListobj.get_id();

            //call scan 
            var scanobj = new wsSPScanSDK("R", listID, "", true, document.getElementById("cbProperties").checked);
            scanobj.scan();

        }


        //query failed
        function listQueryFailed(sender, args) {
            alert('Request failed. ' + args.get_message());
        }

    </script>
</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <table>
        <tr>
          <td>Document Library Title</td>
        </tr>
        <tr>
          <td> <input id="tbTitle" type="text" style="width: 200px"/></td>
        </tr>
        <tr>
          <td>
              <input id="cbProperties" type="checkbox" />&nbsp;Show properties
          </td>
        </tr>
       
        <tr>
          <td align="right"><input id="btnScan" type="button" value="Scan" onclick="scanclick()" /></td>
        </tr>
        
    </table>
</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
Websio Scanner Plug-in SDK
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server" >
Websio Scanner Plug-in SDK

</asp:Content>
